<?php

/*

 * Developer : John D'Alto (jdalto@yahoo.com)

 * Date : 9/1/2012

 * All code (c)2012 JLS Consulting, all rights reserved

 */



namespace Dorcas\TabithaBundle\Form\Type;



use Symfony\Component\Form\AbstractType;

use Symfony\Component\Form\FormBuilder;

use Symfony\Component\OptionsResolver\OptionsResolverInterface;





class FinanceType extends AbstractType

{

    public function buildForm(FormBuilder $builder, array $options)

    {

        $builder->add('takeHome_pay', 'money', array('label' => 'Take Home Pay:', 'currency' => 'USD', 'precision' => '0'));

        $builder->add('spouseOther_pay', 'money', array('label' => 'Spouse/Other Pay:', 'precision' => '0'));

        $builder->add('unemployment_compensation', 'money', array('label' => 'Unemployment Compensation:', 'precision' => '0'));

        $builder->add('workers_compensation', 'money', array('label' => 'Workers Compensation:', 'precision' => '0'));

        $builder->add('childSupport_alimony', 'money', array('label' => 'Child Support/Alimony:', 'precision' => '0'));

        $builder->add('socialSecurity_income', 'money', array('label' => 'Social Security Income:', 'precision' => '0'));

        $builder->add('ssi_disability', 'money', array('label' => 'SSI/Disability:', 'precision' => '0'));

        $builder->add('work_first', 'money', array('label' => 'Work First:', 'precision' => '0'));

        $builder->add('food_stamps', 'money', array('label' => 'Food Stamps:', 'precision' => '0'));

        $builder->add('other_income', 'money', array('label' => 'Other Income:', 'precision' => '0'));

        $builder->add('rent', 'money', array('label' => 'Rent:', 'precision' => '0'));

        $builder->add('water', 'money', array('label' => 'Water:', 'precision' => '0'));

        $builder->add('childcare', 'money', array('label' => 'Childcare:', 'precision' => '0'));

        $builder->add('electric', 'money', array('label' => 'Electric:', 'precision' => '0'));

        $builder->add('natural_gas', 'money', array('label' => 'Natural Gas:', 'precision' => '0'));

        $builder->add('cable_tv', 'money', array('label' => 'Cable TV:', 'precision' => '0'));

        $builder->add('telephone', 'money', array('label' => 'Telephone:', 'precision' => '0'));

        $builder->add('cell_phone', 'money', array('label' => 'Cell Phone:', 'precision' => '0'));



        $builder->add('education', 'money', array('label' => 'Education - Tuition/Fees:', 'precision' => '0'));

        $builder->add('clothing', 'money', array('label' => 'Clothing:', 'precision' => '0'));

        $builder->add('laundry', 'money', array('label' => 'Laundry:', 'precision' => '0'));

        $builder->add('pets', 'money', array('label' => 'Pets:', 'precision' => '0'));

        $builder->add('gifts', 'money', array('label' => 'Gifts:', 'precision' => '0'));

        $builder->add('food', 'money', array('label' => 'Food:', 'precision' => '0'));

        $builder->add('medical_insurance', 'money', array('label' => 'Medical Expenses:', 'precision' => '0'));

        $builder->add('otherMedical_expense', 'money', array('label' => 'Other Medical Expenses:', 'precision' => '0'));

        $builder->add('car_payment_one', 'money', array('label' => 'Car Payment #1:', 'precision' => '0'));

        $builder->add('car_payment_two', 'money', array('label' => 'Car Payment #2:', 'precision' => '0'));

        $builder->add('car_insurance', 'money', array('label' => 'Car Insurance:', 'precision' => '0'));

        $builder->add('gasoline', 'money', array('label' => 'Gasoline:', 'precision' => '0'));

        $builder->add('otherTransportation_expense', 'money', array('label' => 'Other Transportation Expenses:', 'precision' => '0'));

        $builder->add('creditCard_payment', 'money', array('label' => 'Credit Card Payments:', 'precision' => '0'));

        $builder->add('other_loans', 'money', array('label' => 'Other Loans:', 'precision' => '0'));

        $builder->add('savings', 'money', array('label' => 'Savings:', 'precision' => '0'));

        $builder->add('child_support', 'money', array('label' => 'Child Support:', 'precision' => '0'));

        $builder->add('other_one', 'money', array('label' => 'Other:', 'precision' => '0'));

        $builder->add('other_two', 'money', array('precision' => '0'));

        $builder->add('other_one_label', 'text', array('max_length' => '14'));

        $builder->add('other_two_label', 'text', array('max_length' => '14'));



    }

    

   

    public function getName()

    {

        return 'financeform';

    }

    

    public function getDefaultOptions(array $options)

    {

        return array('data_class' => 'Dorcas\TabithaBundle\Entity\Finance',

         

);

    }

    

    public function setDefaultOptions(OptionsResolverInterface $resolver)

    {

    $resolver->setDefaults(array(

        'data_class' => 'Dorcas\TabithaBundle\Entity\Finance',

    ));

    }

}

